package com.xjrsoft.common.enums;

public enum TimeNumberEnum {
    /**
     * 第1节
     */
    Section1(1, "第1节"),

    /**
     * 第2节
     */
    Section2(2, "第2节"),
    /**
     * 第3节
     */
    Section3(3, "第3节"),
    /**
     * 第4节
     */
    Section4(4, "第4节"),
    /**
     * 第5节
     */
    Section5(5, "第5节"),
    /**
     * 第6节
     */
    Section6(6, "第6节"),
    /**
     * 第7节
     */
    Section7(7, "第7节"),
    /**
     * 第8节
     */
    Section8(8, "第8节");

    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    TimeNumberEnum(final int code, final String message) {
        this.code = code;
        this.value = message;
    }

    public static int getCode(String value) {
        for (TimeNumberEnum c : TimeNumberEnum.values()) {
            if (c.getValue().equals(value)) {
                return c.getCode();
            }
        }
        return 0;
    }

    public static String getValue(int code) {
        for (TimeNumberEnum c : TimeNumberEnum.values()) {
            if (c.getCode() == code) {
                return c.getValue();
            }
        }
        return "";
    }
}
